"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.pinoPretty = void 0;

var _path = require("path");

var _actionConfigs = require("../../configs/actionConfigs");

var _exec = require("./exec");

const pinoPretty = ({
  log,
  root,
  cwd
}) => (0, _exec.exec)({
  log,
  args: ['--colorize', '--translateTime', '"SYS:yyyy-mm-dd\'T\'HH:MM:ss.l"', '--ignore', `"${['pid', 'hostname'].join(',')}"`],
  cmd: (0, _path.join)(root, _actionConfigs.babelPinoPretty),
  cwd
}, {
  stdin: undefined,
  stderr: process.stderr,
  stdout: process.stdout
});

exports.pinoPretty = pinoPretty;