"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getWorkspaceDependencies = void 0;

var _toolLib = require("@kettil/tool-lib");

var _getWorkspaceDependencyCompare = require("./getWorkspaceDependencyCompare");

var _getWorkspacePackageNameAndDependencies = require("./getWorkspacePackageNameAndDependencies");

const getWorkspaceDependencies = async ({
  argv,
  workspacePath,
  workspacePaths
}) => {
  if (!(0, _toolLib.isString)(workspacePath)) {
    return [];
  }

  const workspaces = await Promise.all(workspacePaths.map(path => (0, _getWorkspacePackageNameAndDependencies.getWorkspacePackageNameAndDependencies)(argv, {
    workspacePath: path
  })));
  const workspace = workspaces.find(w => w.path === workspacePath);
  return workspace ? (0, _toolLib.uniqueArray)((0, _getWorkspaceDependencyCompare.getWorkspaceDependencyCompare)({
    workspace,
    workspaces
  })) : [];
};

exports.getWorkspaceDependencies = getWorkspaceDependencies;